RUAL Documentation

POST /blueprints/production

Deploy a blueprint to production environment

Deploy a blueprint to production environment
Key Type Example Description
authorization required string
"Bearer access_token"
Access token
Key Type Example Description
blueprint_guid optional string
"example-string"
Blueprint GUID to deploy
{ "paths": [ "example-string" ], "executed_on_node": "example-string" }
{ "error": "INVALID_ACCESS_TOKEN", "code": 401 }
Status Error Code Description
401 INVALID_ACCESS_TOKEN Authentication required or invalid token
Permission Description
Bearer token Access token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprints_create Required scope: blueprints_create

Back to Blueprints Return to the Blueprints category to view other endpoints All API Categories Browse all available API categories